> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Settlements For Org

> Name and signature indicate it gets all settlements for org

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-all-settlements-for-org
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-all-settlements-for-org:
    get:
      operationId: getAllSettlementsForOrg
      summary: Get All Settlements For Org
      x-toku-required-scope: payments:read
      description: >-
        Name and signature indicate it gets all settlements for org


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      parameters:
        - name: orgID
          in: query
          required: true
          schema:
            type: string
        - name: statusFilter
          in: query
          required: false
          schema:
            type: string
            enum:
              - pending
              - completed
              - all
            default: all
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 5000
            default: 25
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllSettlementsForOrgResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllSettlementsForOrgResponse:
      type: object
      properties:
        settlements:
          type: array
          items:
            oneOf:
              - type: object
                properties:
                  source:
                    const: LEGACY
                  taxReferenceID:
                    type: string
                  recipientName:
                    type: string
                  recipientID:
                    type:
                      - string
                      - 'null'
                  status:
                    type: string
                    enum:
                      - QUEUED
                      - PENDING
                      - PENDING_APPROVAL
                      - BROADCASTING
                      - CONFIRMING
                      - COMPLETED
                      - FAILED
                      - CANCELLED
                      - REJECTED
                  transactionID:
                    type: string
                  providerTransactionID:
                    type: string
                  sourceCustodyWalletID:
                    type: string
                  transactionHash:
                    type: string
                  destinationAddress:
                    type: string
                  amount:
                    type: string
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
                  tokenSymbol:
                    type: string
                  createdAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  lastStatusChangeAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      httpStatus:
                        type: number
                  providerName:
                    oneOf:
                      - type: string
                        enum:
                          - SAFE
                          - SAFE_PROPOSER
                          - ANCHORAGE
                          - FIREBLOCKS
                          - SQUADS
                          - COINBASE
                          - FILECOIN_SELF_CUSTODY
                          - FORDEFI
                          - BITGO
                      - type: string
                        enum:
                          - AIRWALLEX
                          - ANCHORAGE
                          - BITGO
                          - BRIDGE
                          - COINBASE_PRIME
                          - DIRECT
                          - FILECOIN
                          - FIREBLOCKS
                          - FORDEFI
                          - HOT_WALLET
                          - SAFE
                          - SQUADS
                      - const: CASH
                required:
                  - source
                  - taxReferenceID
                  - recipientName
                  - recipientID
                  - status
                  - transactionID
                  - destinationAddress
                  - amount
                  - createdAt
                  - lastStatusChangeAt
                  - providerName
              - type: object
                properties:
                  source:
                    const: BATCH
                  taxReferenceID:
                    type: string
                  recipientName:
                    type: string
                  recipientID:
                    type:
                      - string
                      - 'null'
                  status:
                    type: string
                    enum:
                      - QUEUED
                      - PENDING
                      - PENDING_APPROVAL
                      - BROADCASTING
                      - CONFIRMING
                      - COMPLETED
                      - FAILED
                      - CANCELLED
                      - REJECTED
                  transactionID:
                    type: string
                  providerTransactionID:
                    type: string
                  sourceCustodyWalletID:
                    type: string
                  transactionHash:
                    type: string
                  destinationAddress:
                    type: string
                  amount:
                    type: string
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
                  tokenSymbol:
                    type: string
                  createdAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  lastStatusChangeAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      httpStatus:
                        type: number
                  providerName:
                    oneOf:
                      - type: string
                        enum:
                          - SAFE
                          - SAFE_PROPOSER
                          - ANCHORAGE
                          - FIREBLOCKS
                          - SQUADS
                          - COINBASE
                          - FILECOIN_SELF_CUSTODY
                          - FORDEFI
                          - BITGO
                      - type: string
                        enum:
                          - AIRWALLEX
                          - ANCHORAGE
                          - BITGO
                          - BRIDGE
                          - COINBASE_PRIME
                          - DIRECT
                          - FILECOIN
                          - FIREBLOCKS
                          - FORDEFI
                          - HOT_WALLET
                          - SAFE
                          - SQUADS
                      - const: CASH
                  batchID:
                    type: string
                  paymentIntentID:
                    type: string
                  attemptNumber:
                    type: integer
                required:
                  - source
                  - taxReferenceID
                  - recipientName
                  - recipientID
                  - status
                  - transactionID
                  - destinationAddress
                  - amount
                  - createdAt
                  - lastStatusChangeAt
                  - providerName
                  - batchID
                  - paymentIntentID
                  - attemptNumber
              - type: object
                properties:
                  source:
                    const: CASH
                  taxReferenceID:
                    type: string
                  recipientName:
                    type: string
                  recipientID:
                    type:
                      - string
                      - 'null'
                  status:
                    type: string
                    enum:
                      - QUEUED
                      - PENDING
                      - PENDING_APPROVAL
                      - BROADCASTING
                      - CONFIRMING
                      - COMPLETED
                      - FAILED
                      - CANCELLED
                      - REJECTED
                  transactionID:
                    type: string
                  providerTransactionID:
                    type: string
                  sourceCustodyWalletID:
                    type: string
                  transactionHash:
                    type: string
                  destinationAddress:
                    type: string
                  amount:
                    type: string
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
                  tokenSymbol:
                    type: string
                  createdAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  lastStatusChangeAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      httpStatus:
                        type: number
                  providerName:
                    oneOf:
                      - type: string
                        enum:
                          - SAFE
                          - SAFE_PROPOSER
                          - ANCHORAGE
                          - FIREBLOCKS
                          - SQUADS
                          - COINBASE
                          - FILECOIN_SELF_CUSTODY
                          - FORDEFI
                          - BITGO
                      - type: string
                        enum:
                          - AIRWALLEX
                          - ANCHORAGE
                          - BITGO
                          - BRIDGE
                          - COINBASE_PRIME
                          - DIRECT
                          - FILECOIN
                          - FIREBLOCKS
                          - FORDEFI
                          - HOT_WALLET
                          - SAFE
                          - SQUADS
                      - const: CASH
                  cash:
                    type: object
                    properties:
                      amountRecorded:
                        type: boolean
                      amountUsd:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
                      localCurrencyCode:
                        type:
                          - string
                          - 'null'
                      amountLocal:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
                      reference:
                        type: string
                    required:
                      - amountRecorded
                      - amountUsd
                      - localCurrencyCode
                      - amountLocal
                      - reference
                required:
                  - source
                  - taxReferenceID
                  - recipientName
                  - recipientID
                  - status
                  - transactionID
                  - destinationAddress
                  - amount
                  - createdAt
                  - lastStatusChangeAt
                  - providerName
                  - cash
            discriminator:
              propertyName: source
        total:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
        hasMore:
          type: boolean
      required:
        - settlements
        - total
        - page
        - pageSize
        - hasMore
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
